package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;
import com.qmth.sop.common.enums.ProductTypeEnum;

import java.io.Serializable;

/**
 * @Description:
 * @Param:
 * @return:
 * @Author: dhshu
 * @Date: 2023/7/31
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class SysMessageExportDto extends BasicExcelRow implements Serializable {

    @ExcelProperty(value = "档案流水号")
    private String code;

    @ExcelProperty(value = "姓名")
    private String name;

    @ExcelProperty(value = "供应商")
    private String supplier;


    @ExcelProperty(value = "国家")
    private String country;

    @ExcelProperty(value = "常居省份")
    private String province;

    @ExcelProperty(value = "常居城市")
    private String city;

    @ExcelProperty(value = "服务单元")
    private String service;

    @ExcelProperty(value = "客户名称")
    private String custom;

    @ExcelProperty(value = "客户类型")
    private String type;

    @ExcelProperty(value = "消息查阅时间")
    private String time;

    @ExcelProperty(value = "联系电话")
    private String mobileNumber;

    @ExcelProperty(value = "回执状态")
    private String status;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
